Subject: bug#74437: 30.0.92; completion-preview-idle-delay is delayed by flyspell

From: Eshel Yaron <[email-masked]>
Date: Wed, 20 Nov 2024 16:52:49 +0100

Hi,

Eli Zaretskii <[email-masked]> writes:

>> From: Eshel Yaron <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Tue, 19 Nov 2024 21:16:56 +0100
>
>> > Also, what happens if there are other async
>> > subprocesses running in parallel, like maybe Grep or compilation or
>> > url-retrieve?
>> 
>> They make progress, which seems to work as expected, at least with Grep.
>> That is if we use the previous patch, with the one below we pass non-nil
>> JUST-THIS-ONE argument to accept-process-output when called from a timer
>> so other processes shouldn't see new output during this call.  Either
>> way works, AFAICT.
>
> The question is: what do users expect to happen in those cases?

I don't know, IIUC it is just a short period (spell-checking one word)
in which other processes either do or don't see output, so I don't think
it matters that much to users either way.  It seems more natural to let
other processes make progress, because why not?  But again, either way
works for me, since both let us reconcile Flyspell with idle timers.

Best,

Eshel